com.sun.source.tree

## Interface WhileLoopTree

All Superinterfaces:
  StatementTree, Tree

    public interface WhileLoopTree
    extends StatementTree

A tree node for a 'while' loop statement. For example:

       while ( condition )
         statement

Since:
  1.6
See Also:
  "The Java Language Specification, 3rd ed, section 14.12"

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

Methods
`ExpressionTree` `getCondition()`
`StatementTree` `getStatement()`

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getCondition

    ExpressionTree getCondition()

#### getStatement

    StatementTree getStatement()

Copyright © 2005, 2014, Oracle and/or its affiliates. All rights reserved.